<template>
  <div id="app">
    <addTask :id="id"/>
    <listTask @eventname="updateparent"/>
  </div>
</template>

<script>
import listTask from "./components/listTask.vue";
import addTask from "./components/addTask.vue";

export default {
  name: "App",
  
  methods: {
    updateparent(variable) {
        this.id = variable
    }
  },
  
  components: {
    listTask,
    addTask
  },
  
  data(){return{
    id: 0
  }}
}
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
</style>
